Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1199732 - Review Request: nodejs-carrier - Evented stream line reader for node.js
Summary: Review Request: nodejs-carrier - Evented stream line reader for node.js
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2015-03-07 15:34 UTC by Gerard Ryan
Modified: 2015-03-20 21:26 UTC (History)
2 users (show)

Fixed In Version: nodejs-carrier-0.1.14-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-20 21:26:27 UTC
piotr1212: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Gerard Ryan 2015-03-07 15:34:47 UTC
Spec URL: https://galileo.fedorapeople.org/fpe-rpm-review/nodejs-carrier.spec
SRPM URL: https://galileo.fedorapeople.org/fpe-rpm-review/nodejs-carrier-0.1.14-1.fc23.src.rpm
Description: Carrier helps you implement new-line terminated protocols over node.js. The client can send you chunks of lines and carrier will only notify you on each completed line.
Fedora Account System Username: galileo

Comment 1 Gerard Ryan 2015-03-07 15:57:02 UTC
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=9168842

Comment 2 Piotr Popieluch 2015-03-08 20:51:41 UTC
Looks great! APPROVED

fedora-review complains about the license file, I think it is not updated yet for %license support


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find LICENSE in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 8 files have unknown license. Detailed output of
     licensecheck in /home/piotr/rpmbuild/1199732-nodejs-
     carrier/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-carrier-0.1.14-1.fc23.noarch.rpm
          nodejs-carrier-0.1.14-1.fc23.src.rpm
nodejs-carrier.noarch: W: spelling-error Summary(en_US) Evented -> Vented, E vented, Evened
nodejs-carrier.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-carrier.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-carrier.noarch: W: only-non-binary-in-usr-lib
nodejs-carrier.src: W: spelling-error Summary(en_US) Evented -> Vented, E vented, Evened
nodejs-carrier.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-carrier.src: W: spelling-error %description -l en_US js -> dis, ks, j
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
nodejs-carrier (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-carrier:
    nodejs-carrier
    npm(carrier)



Source checksums
----------------
http://registry.npmjs.org/carrier/-/carrier-0.1.14.tgz :
  CHECKSUM(SHA256) this package     : 3623d4fff033a1f4f4a9751fd185e566360b7f39411887c0c688948fd347a4f4
  CHECKSUM(SHA256) upstream package : 3623d4fff033a1f4f4a9751fd185e566360b7f39411887c0c688948fd347a4f4


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1199732
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Gerard Ryan 2015-03-08 21:35:52 UTC
New Package SCM Request
=======================
Package Name: nodejs-carrier
Short Description: Evented stream line reader for node.js
Owners: galileo
Branches: f21 f20

Comment 4 Gwyn Ciesla 2015-03-09 02:39:01 UTC
Git done (by process-git-requests).

Added f22 since we've branched.

Comment 5 Gerard Ryan 2015-03-20 21:26:27 UTC
Built for Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=9283217

Thanks!


Note You need to log in before you can comment on or make changes to this bug.